@import 'global';

.competence-info {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: $blanc;
    height: min-content;
    aspect-ratio: 1;
    z-index: 1;
    @include max767 {
        width: calc(50% - 20px);
    }
    &::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        border-radius: 360px;
        background-color: transparentize($noir, 0.5);   
        z-index: -1; 
        transition: .4s ease-in-out;
    }
    .nom, .valeur {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        transition: .3s ease-in-out;
    }
    .valeur {
        opacity: 1;
        font-size: 26px;
        @include max767 {
            font-size: 16px;
        }
    }
    .nom {
        font-size: 11px;
        opacity: 0;
        @include max479 {
            font-size: 10px;
        }
    }
    &:hover {
        .valeur {
            opacity: 0;
        }
        .nom {
            opacity: 1;
        }
        &::before {
            background-color: transparentize($noir, 0.6);   
        } 
    }
    .icone-svg {
        position: relative;
        height: 80px;
        width: 80px;
        aspect-ratio: 1;
        padding: 10px;
        border: solid 2px $blanc;
        border-radius: 360px;
        background-color: $couleur_primaire;
        z-index: -2;
        @include max767 {
            width: 100%;
            height: 100%;
        }
        path {
            fill: $blanc;
        }
    }
}